import * as add from "./add/functions.js";
import * as record from "./record/functions.js";
export class Action {
    constructor(action) {
        this.action = action;
        this.functionRegister = {
            record: this.recordWith,
            add: this.addWith,
        };
    }
    doWith(params) {
        this.functionRegister[params.action] &&
            this.functionRegister[params.action](params);
    }
    recordWith(params) {
        record.doWith(params);
    }
    addWith(params) {
        add.doWith(params);
    }
}
